Name:		hw-probe
Version:	1.6.5
Release:	%mkrel 2
Summary:	Check operability of computer hardware and find drivers
Group:		System/Base
License:	LGPLv2+
URL:		https://github.com/linuxhw/hw-probe
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Getopt::Long)
BuildRequires:	make

Requires:	perl-libwww-perl
Requires:	curl
Requires:	hwinfo
Requires:	inxi
Requires:	pciutils
Requires:	usbutils
Requires:	smartmontools
Requires:	hdparm
Requires:	sysstat
Requires:	util-linux
Requires:	lm_sensors
Recommends:	dmidecode
Recommends:	mcelog
Recommends:	acpica-tools
Recommends:	edid-decode
Recommends:	i2c-tools
Recommends:	vulkan-tools
Recommends:	xdpyinfo
Recommends:	xdriinfo
Recommends:	xinput
Recommends:	xrandr
Recommends:	xvinfo
Recommends:	glxinfo

%description
A tool to probe for hardware, check operability and find drivers
with the help of Linux hardware database:

    sudo -E hw-probe -all -upload

WWW: https://linux-hardware.org/

%prep
%autosetup

%build
# Nothing to build yet

%install
mkdir -p %{buildroot}%{_prefix}
%make_install prefix=%{_prefix}

%files
%doc README.md
%license LICENSES/LGPL-2.1-or-later
%{_bindir}/%{name}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.6.5-2.mga10
+ Revision: 2218336
- Mageia 10 Mass Rebuild

* Mon May 22 2023 daviddavid <daviddavid> 1.6.5-1.mga9
+ Revision: 1957826
- initial package hw-probe (mga#29968)

